net.sourceforge.pmd.lang.jsp.ast

## Class JspDocStyleTest

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNodesTst
  - - net.sourceforge.pmd.lang.jsp.ast.JspDocStyleTest

-     public class JspDocStyleTest
      extends AbstractJspNodesTst

  Test parsing of a JSP in document style, by checking the generated AST.
  Author:
    pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspDocStyleTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mixedExpressions()` Make sure mixed expressions don't confuse the parser
    `void` | `nestedEmptyTags()`
    `void` | `nestedMultipleTags()`
    `void` | `noQuoteAttrCrLf()` tests whether parse correctly interprets an cr lf instead of an attribute
    `void` | `noQuoteAttrEmpty()` tests whether parse correctly interprets empty non quote attribute
    `void` | `noQuoteAttrTab()` tests whether parse correctly interprets an tab instead of an attribute
    `void` | `noQuoteAttrValue()` smoke test for a non-quoted attribute value
    `void` | `noQuoteAttrWithBeanWriteTagAsValue()` test a no quote attribute value can contain a tag (e.g. attr=)
    `void` | `noQuoteAttrWithDollarSignInValue()` test a no quote attribute value which contains the EL dollar sign $ within its value
    `void` | `noQuoteAttrWithJspEL()` tests whether JSP el is properly detected as attribute value
    `void` | `noQuoteAttrWithJspExpression()` tests whether parse correctly detects presence of JSP expression <%= %> within an non-quoted attribute value
    `void` | `noQuoteAttrWithMalformedJspExpression()` tests whether parse does not fail in the presence of unclosed JSP expression <%= within an non-quoted attribute value
    `void` | `noQuoteAttrWithScriptletInValue()` test a no quote attribute value which contains a scriptlet <% %> within its value
    `void` | `noQuoteAttrWithSharpSymbolInValue()` test a no quote attribute value which contains the EL sharp sign # within its value
    `void` | `noSpacesBetweenTags()` Test parsing of HTML with no spaces between tags.
    `void` | `quoteAttrWithBeanWriteTagAsValue()` test a quote attribute value can contain a tag (e.g. attr="" ) Not sure if it's legal JSP code but most JSP engine accept and properly treat this value at runtime
    `void` | `quoteEL()`
    `void` | `quoteExpression()`
    `void` | `quoteTagInAttribute()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAttributeValueContainingHash()` Test exposing a bug of parsing error when having a hash as last character in an attribute value.
    `void` | `testCData()` Test correct parsing of CDATA.
    `void` | `testComment()` Test parsing of a XML comment.
    `void` | `testComplexHtmlScript()` A complex script containing HTML comments, escapes, quotes, etc.
    `void` | `testDoctype()` Test parsing of Doctype declaration.
    `void` | `testElementAttributeAndNamespace()` Test the information on a Element and Attribute.
    `void` | `testHtmlScript()` Test parsing of HTML Summary: Nested | Field | Constr | Method Detail: Field | Constr | Method

Copyright © 2002-2013 InfoEther. All Rights Reserved.